Расширенный
База уязвимостей

Отказ в обслуживании

24 февраля 2021
Уровень опасности
Оценка CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Производитель ПО
Наименование ПО
PHP (7.3.0, 7.3.27, 7.4.0, 7.4.15, 8.0.0, 8.0.2)
Описание
Уязвимость в PHP, связанная с подключением к SOAP-серверу с помощью расширения SOAP, позволяет злоумышленникам заставить PHP использовать нулевой указатель, что приведет к аварийному завершению работы. Для эксплуатации уязвимости необходимо отправить в ответе SOAP-сервера специально сформированные XML-данные.
Как исправить
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
https://secure.php.net/
Ссылки